--- old/usr/src/man/man7i/mtio.7i	Wed Sep 25 13:05:51 2019
+++ new/usr/src/man/man7i/mtio.7i	Wed Sep 25 13:05:51 2019
@@ -578,427 +535,514 @@
   ushort_t unload_timeout;           /* Seconds to unload */
   ushort_t erase_timeout;            /* Seconds to do long erase */
 };
-.fi
-.in -2
-
-.sp
-.in +2
-.nf
+.Ed
+.Bd -literal -offset 2n
 /* structure for MTIOCGETPOS and MTIOCRESTPOS - get/set tape position */
- 	/*
-  * eof/eot/eom codes.
- 	 */
+/*
+ * eof/eot/eom codes.
+ */
  typedef enum {
        ST_NO_EOF,
        ST_EOF_PENDING,         /* filemrk pending */
        ST_EOF,                 /* at filemark */
-       ST_EOT_PENDING,         /* logical eot pend. */
+       ST_EOT_PENDING,         /* logical eot pend.  */
        ST_EOT,                 /* at logical eot */
        ST_EOM,                 /* at physical eot */
        ST_WRITE_AFTER_EOM      /* flag allowing writes after EOM */
- 	}pstatus;
+} pstatus;
 
- 	typedef enum { invalid, legacy, logical } posmode;
+typedef enum { invalid, legacy, logical } posmode;
 
- 	typedef struct tapepos {
- 		   uint64_t lgclblkno;	/* Blks from start of partition */
- 		   int32_t fileno;		/* Num. of current file */
- 		   int32_t blkno;		/* Blk  number in current file */
- 		   int32_t partition; 	/* Current partition */
- 		   pstatus eof;         /* eof states */
- 		   posmode pmode;		 /* which pos. data is valid */
- 		   char    pad[4];
- 	}tapepos_t;
-
-     If the pmode is legacy,fileno and blkno fields are valid.
-     If the pmode is logical, lgclblkno field is valid.
-.fi
-.in -2
-
-.sp
-.LP
-The \fBMTWEOF\fR ioctl is used for writing file marks to tape. Not only does
+typedef struct tapepos {
+   uint64_t lgclblkno;	/* Blks from start of partition */
+   int32_t fileno;	/* Num. of current file */
+   int32_t blkno;	/* Blk  number in current file */
+   int32_t partition;	/* Current partition */
+   pstatus eof;         /* eof states */
+   posmode pmode;	/* which pos. data is valid */
+   char    pad[4];
+} tapepos_t;
+.Ed
+.Pp
+.Bd -ragged -compact
+If the
+.Fa pmode
+is legacy,
+.Fa fileno
+and
+.Fa blkno
+fields are valid.
+.Pp
+If the
+.Fa pmode
+is logical,
+.Fa lgclblkno
+field is valid.
+.Ed
+.Pp
+The
+.Dv MTWEOF
+ioctl is used for writing file marks to tape.
+Not only does
 this signify the end of a file, but also usually has the side effect of
-flushing all buffers in the tape drive to the tape medium. A zero count
-\fBMTWEOF\fR will just flush all the buffers and will not write any file marks.
+flushing all buffers in the tape drive to the tape medium.
+A zero count
+.Dv MTWEOF
+will just flush all the buffers and will not write any file marks.
 Because a successful completion of this tape operation will guarantee that all
 tape data has been written to the tape medium, it is recommended that this tape
 operation be issued before closing a tape device.
-.sp
-.LP
-When spacing forward over a record (either data or \fBEOF),\fR the tape head is
+.Pp
+When spacing forward over a record (either data or
+.Sy EOF ) ,
+the tape head is
 positioned in the tape gap between the record just skipped and the next record.
 When spacing forward over file marks (EOF records), the tape head is positioned
-in the tape gap between the next \fBEOF\fR record and the record that follows
-it.
-.sp
-.LP
-When spacing backward over a record (either data or \fBEOF),\fR the tape head
-is positioned in the tape gap immediately preceding the tape record where the
-tape head is currently positioned. When spacing backward over file marks (EOF
-records), the tape head is positioned in the tape gap preceding the \fBEOF.\fR
-Thus the next read would fetch the \fBEOF.\fR
-.sp
-.LP
+in the tape gap between the next
+.Sy EOF
+record and the record that follows it.
+.Pp
+When spacing backward over a record (either data or
+.Sy EOF ) ,
+the tape head is positioned in the tape gap immediately preceding the tape
+record where the tape head is currently positioned.
+When spacing backward over file marks (EOF records), the tape head is
+positioned in the tape gap preceding the
+.Sy EOF .
+Thus the next read would fetch the
+.Sy EOF .
+.Pp
 Record skipping does not go past a file mark; file skipping does not go past
-the \fBEOM.\fR After an \fBMTFSR\fR <huge number> command, the driver leaves
-the tape logically positioned \fIbefore\fR the \fBEOF.\fR A related feature is
-that \fBEOFs\fR remain pending until the tape is closed. For example, a program
+the
+.Sy EOM .
+After an
+.Dv MTFSR
+<huge number> command, the driver leaves
+the tape logically positioned
+.Em before
+the
+.Sy EOF .
+A related feature is that
+.Sy EOF Ns s
+remain pending until the tape is closed.
+For example, a program
 which first reads all the records of a file up to and including the \fBEOF\fR
-and then performs an \fBMTFSF\fR command will leave the tape positioned just
-after that same \fBEOF,\fR rather than skipping the next file.
-.sp
-.LP
-The \fBMTNBSF\fR and \fBMTFSF\fR operations are inverses. Thus, an "
-\fBMTFSF\fR \(mi1" is equivalent to an " \fBMTNBSF\fR 1". An " \fBMTNBSF\fR 0"
-is the same as " \fBMTFSF\fR 0"; both position the tape device at the beginning
-of the current file.
-.sp
-.LP
-\fBMTBSF\fR moves the tape backwards by file marks. The tape position will end
-on the beginning of the tape side of the desired file mark. An " \fBMTBSF\fR 0"
+and then performs an
+.Dv MTFSF
+command will leave the tape positioned just
+after that same
+.Sy EOF ,
+rather than skipping the next file.
+.Pp
+The
+.Dv MTNBSF
+and
+.Dv MTFSF
+operations are inverses.
+Thus, an
+.Dq Dv MTFSF \(mi1
+is equivalent to an
+.Dq Dv MTNBSF 1 .
+An
+.Dq Dv MTNBSF 0
+is the same as
+.Dq Dv MTFSF 0 ;
+both position the tape device at the beginning of the current file.
+.Pp
+.Dv MTBSF
+moves the tape backwards by file marks.
+The tape position will end
+on the beginning of the tape side of the desired file mark.
+An
+.Dq Dv MTBSF 0
 will position the tape at the end of the current file, before the filemark.
-.sp
-.LP
-\fBMTBSR\fR and \fBMTFSR\fR operations perform much like space file operations,
-except that they move by records instead of files. Variable-length I/O devices
-(1/2" reel, for example) space actual records; fixed-length I/O devices space
-physical records (blocks). 1/4" cartridge tape, for example, spaces 512 byte
-physical records. The status ioctl residual count contains the number of files
+.Pp
+.Dv MTBSR
+and
+.Dv MTFSR
+operations perform much like space file operations,
+except that they move by records instead of files.
+Variable-length I/O devices
+(1/2\(dq reel, for example) space actual records; fixed-length I/O devices space
+physical records (blocks).
+1/4\(dq cartridge tape, for example, spaces 512 byte
+physical records.
+The status ioctl residual count contains the number of files
 or records not skipped.
-.sp
-.LP
-MTFSSF and MTBSSF space forward or backward, respectively, to the next
-occurrence of the requested number of file marks, one following another. If
-there are more sequential file marks on tape than were requested, it spaces
-over the requested number and positions after the requested file mark. Note
-that not all drives support this command and if a request is sent to a drive
-that does not, \fBENOTTY\fR is returned.
-.sp
-.LP
-\fBMTOFFL\fR rewinds and, if appropriate, takes the device off-line by
-unloading the tape. It is recommended that the device be closed after offlining
+.Pp
+.Dv MTFSSF
+and
+.Dv MTBSSF
+space forward or backward, respectively, to the next
+occurrence of the requested number of file marks, one following another.
+If there are more sequential file marks on tape than were requested, it spaces
+over the requested number and positions after the requested file mark.
+Note that not all drives support this command and if a request is sent to a
+drive that does not,
+.Er ENOTTY
+is returned.
+.Pp
+.Dv MTOFFL
+rewinds and, if appropriate, takes the device off-line by unloading the tape.
+It is recommended that the device be closed after offlining
 and then re-opened after a tape has been inserted to facilitate portability to
-other platforms and other operating systems. Attempting to re-open the device
-with no tape will result in an error unless the \fBO_NDELAY\fR flag is used.
-(See \fBopen\fR(2).)
-.sp
-.LP
-The \fBMTRETEN\fR retension ioctl applies only to 1/4" cartridge tape devices.
+other platforms and other operating systems.
+Attempting to re-open the device
+with no tape will result in an error unless the
+.Dv O_NDELAY
+flag is used.
+.Po
+See
+.Xr open 2 .
+.Pc
+.Pp
+The
+.Dv MTRETEN
+retension ioctl applies only to 1/4\(dq cartridge tape devices.
 It is used to restore tape tension, improving the tape's soft error rate after
 extensive start-stop operations or long-term storage.
-.sp
-.LP
-\fBMTERASE\fR rewinds the tape, erases it completely, and returns to the
-beginning of tape. Erasing may take a long time depending on the device and/or
-tapes. For time details, refer to the drive specific manual.
-.sp
-.LP
-\fBMTEOM\fR positions the tape at a location just after the last file written
-on the tape. For 1/4" cartridge and 8mm tape, this is after the last file mark
-on the tape. For 1/2" reel tape, this is just after the first file mark but
-before the second (and last) file mark on the tape. Additional files can then
+.Pp
+.Dv MTERASE
+rewinds the tape, erases it completely, and returns to the
+beginning of tape.
+Erasing may take a long time depending on the device and/or
+tapes.
+For time details, refer to the drive specific manual.
+.Pp
+.Dv MTEOM
+positions the tape at a location just after the last file written
+on the tape.
+For 1/4\(dq cartridge and 8mm tape, this is after the last file mark
+on the tape.
+For 1/2\(dq reel tape, this is just after the first file mark but
+before the second (and last) file mark on the tape.
+Additional files can then
 be appended onto the tape from that point.
-.sp
-.LP
-Note the difference between \fBMTBSF\fR (backspace over file mark) and
-\fBMTNBSF\fR (backspace file to beginning of file). The former moves the tape
-backward until it crosses an \fBEOF\fR mark, leaving the tape positioned
-\fIbefore\fR the file mark. The latter leaves the tape positioned \fIafter\fR
-the file mark. Hence, "\fBMTNBSF\fR n" is equivalent to "\fBMTBSF\fR (n+1)"
-followed by "\fBMTFSF\fR 1". The 1/4" cartridge tape devices do not support
-\fBMTBSF.\fR
-.sp
-.LP
-\fBMTSRSZ\fR and \fBMTGRSZ\fR are used to set and get fixed record lengths. The
-\fBMTSRSZ\fR ioctl allows variable length and fixed length tape drives that
-support multiple record sizes to set the record length. The \fBmt_count\fR
-field of the  \fBmtop\fR struct is used to pass the record size to/from the
-\fBst\fR driver. A value of \fB0\fR indicates variable record size. The
-\fBMTSRSZ\fR ioctl makes a variable-length tape device behave like a
-fixed-length tape device. Refer to the specific tape driver man page for
+.Pp
+Note the difference between
+.Dv MTBSF
+(backspace over file mark) and
+.Dv MTNBSF
+(backspace file to beginning of file).
+The former moves the tape
+backward until it crosses an
+.Sy EOF
+mark, leaving the tape positioned
+.Em before
+the file mark.
+The latter leaves the tape positioned
+.Em after
+the file mark.
+Hence,
+.Dq Dv MTNBSF n
+is equivalent to
+.Dq Dv MTBSF (n+1)
+followed by
+.Dq Dv MTFSF 1 .
+The 1/4\(dq cartridge tape devices do not support
+.Dv MTBSF .
+.Pp
+.Dv MTSRSZ
+and
+.Dv MTGRSZ
+are used to set and get fixed record lengths.
+The
+.Dv MTSRSZ
+ioctl allows variable length and fixed length tape drives that
+support multiple record sizes to set the record length.
+The
+.Fa mt_count
+field of the
+.Vt mtop
+struct is used to pass the record size to/from the
+.Xr st 7D
+driver.
+A value of
+.Ql 0
+indicates variable record size.
+The
+.Dv MTSRSZ
+ioctl makes a variable-length tape device behave like a
+fixed-length tape device.
+Refer to the specific tape driver man page for
 details.
-.sp
-.LP
-\fBMTLOAD\fR loads the next tape cartridge into the tape drive. This is
-generally only used with stacker and tower type tape drives which handle
-multiple tapes per tape drive. A tape device without a tape inserted can be
-opened with the \fBO_NDELAY\fR flag, in order to execute this operation.
-.sp
-.LP
-\fBMTIOCGETERROR\fR allows user-level applications to retrieve error records
-from the \fBst\fR driver. An error record consists of the SCSI command cdb
-which causes the error and a \fBscsi_arq_status\fR(9S) structure if available.
+.Pp
+.Dv MTLOAD
+loads the next tape cartridge into the tape drive.
+This is generally only used with stacker and tower type tape drives which handle
+multiple tapes per tape drive.
+A tape device without a tape inserted can be
+opened with the
+.Dv O_NDELAY
+flag, in order to execute this operation.
+.Pp
+.Dv MTIOCGETERROR
+allows user-level applications to retrieve error records
+from the
+.Xr st 7D
+driver.
+An error record consists of the SCSI command cdb
+which causes the error and a
+.Xr scsi_arq_status 9S
+structure if available.
 The user-level application is responsible for allocating and releasing the
-memory for mtee_cdb_buf and scsi_arq_status of each mterror_entry. Before
-issuing the ioctl, the mtee_arq_status_len value should be at least equal to
-"sizeof(struct scsi_arq_status)." If more sense data than the size of
-\fBscsi_arq_status\fR(9S) is desired, the mtee_arq_status_len may be larger
-than "sizeof(struct scsi_arq_status)" by the amount of additional extended
-sense data desired.  The es_add_len field of \fBscsi_extended_sense\fR(9S) can
-be used to determine the amount of valid sense data returned by the device.
-.sp
-.LP
-The \fBMTIOCGET\fR get status \fBioctl\fR call returns the drive ID
-(\fImt_type\fR), sense key error (\fImt_erreg\fR), file  number
-(\fImt_fileno\fR), optimum blocking factor (\fImt_bf\fR) and record number
-(\fImt_blkno\fR) of the last error. The residual count (\fImt_resid\fR) is set
-to the number of bytes not transferred or files/records not spaced. The flags
-word (\fImt_flags\fR) contains information indicating if the device is SCSI, if
-the device is a reel device and whether the device supports absolute file
-positioning. The \fImt_flags\fR also indicates if the device is requesting
-cleaning media be used, whether the device is capable of reporting the
-requirement of cleaning media and if the currently loaded media is WORM (Write
-Once Read Many) media.
-.LP
-Note -
-.sp
-.RS 2
-When tape alert cleaning is managed by the st driver, the tape target driver
-may continue to return a "drive needs cleaning" status unless an MTIOCGET
-ioctl() call is made while the cleaning media is in the drive.
-.RE
-.sp
-.LP
-The  \fBMTIOCGETDRIVETYPE\fR get drivetype ioctl call returns the name of the
-tape drive as defined in  \fBst.conf\fR (\fIname\fR), Vendor \fBID\fR and model
-(\fIproduct\fR), \fBID\fR (\fIvid\fR), type of tape device (\fBtype\fR), block
-size  (\fIbsize\fR), drive options  (\fIoptions\fR), maximum read retry count
-(\fImax_rretries\fR), maximum write retry count (\fImax_wretries\fR), densities
-supported by the drive (\fIdensities\fR), and default density of the tape drive
-(\fIdefault_density\fR).
-.sp
-.LP
-The MTIOCGETPOS ioctl returns the current tape position of the drive. It is
-returned in struct tapepos as defined in
-\fB/usr/include/sys/scsi/targets/stdef.h\fR.
-.sp
-.LP
-The  MTIOCRESTPOS ioctl restores a saved position from the MTIOCGETPOS.
-.SS "Persistent Error Handling IOCTLs and Asynchronous Tape Operations"
-.ne 2
-.na
-\fBMTIOCPERSISTENT\fR
-.ad
-.RS 25n
+memory for
+.Fa mtee_cdb_buf
+and
+.Fa scsi_arq_status of each
+.Vt mterror_entry .
+Before issuing the ioctl, the
+.Fa mtee_arq_status_len
+value should be at least equal to
+.Ql sizeof (struct scsi_arq_status) .
+If more sense data than the size of
+.Xr scsi_arq_status 9S
+is desired, the
+.Fa mtee_arq_status_len
+may be larger than
+.Ql sizeof (struct scsi_arq_status)
+by the amount of additional extended sense data desired.
+The
+.Fa es_add_len
+field of
+.Xr scsi_extended_sense 9S
+can be used to determine the amount of valid sense data returned by the device.
+.Pp
+The
+.Dv MTIOCGET
+get status
+.Xr ioctl 2
+call returns the drive ID
+.Pq Fa mt_type ,
+sense key error
+.Pq Fa mt_erreg ,
+file number
+.Pq Fa mt_fileno ,
+optimum blocking factor
+.Pq Fa mt_bf
+and record number
+.Pq Fa mt_blkno
+of the last error.
+The residual count
+.Pq Fa mt_resid
+is set to the number of bytes not transferred or files/records not spaced.
+The flags word
+.Pq Fa mt_flags
+contains information indicating if the device is SCSI, if the device is a reel
+device and whether the device supports absolute file positioning.
+The
+.Fa mt_flags
+also indicates if the device is requesting cleaning media be used, whether the
+device is capable of reporting the requirement of cleaning media and if the
+currently loaded media is WORM (Write Once Read Many) media.
+.Pp
+Note \(em When tape alert cleaning is managed by the st driver, the tape
+target driver may continue to return a
+.Dq drive needs cleaning
+status unless an
+.Dv MTIOCGE
+.Xr ioct 2
+call is made while the cleaning media is in the drive.
+.Pp
+The
+.Dv MTIOCGETDRIVETYPE
+get drivetype ioctl call returns the name of the
+tape drive as defined in
+.Pa st.conf
+.Pq Fa name ,
+Vendor
+.Sy ID
+and model
+.Pq Fa product ,
+.Sy ID
+.Pq Fa vid ,
+type of tape device
+.Pq Fa type ,
+block size
+.Pq Fa size ,
+drive options
+.Pq Fa options ,
+maximum read retry count
+.Pq Fa max_rretries ,
+maximum write retry count
+.Pq Fa max_wretries ,
+densities supported by the drive
+.Pq Fa densities ,
+and default density of the tape drive
+.Pq Fa default_density .
+.Pp
+The
+.Dv MTIOCGETPOS
+ioctl returns the current tape position of the drive.
+It is returned in struct tapepos as defined in
+.Pa /usr/include/sys/scsi/targets/stdef.h .
+.Pp
+The
+.Dv MTIOCRESTPOS
+ioctl restores a saved position from the
+.Dv MTIOCGETPOS .
+.Ss "Persistent Error Handling IOCTLs and Asynchronous Tape Operations"
+.Bl -tag -width MTIOCPERSISTENTSTATUS -compact
+.It Dv MTIOCPERSISTENT
 enables/disables persistent error handling
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTIOCPERSISTENTSTATUS\fR
-.ad
-.RS 25n
+.It Dv MTIOCPERSISTENTSTATUS
 queries for persistent error handling
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTIOCLRERR\fR
-.ad
-.RS 25n
+.It Dv MTIOCLRERR
 clears persistent error handling
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTIOCGUARANTEEDORDER\fR
-.ad
-.RS 25n
+.It Dv MTIOCGUARANTEEDORDER
 checks whether driver guarantees order of I/O's
-.RE
-
-.sp
-.LP
-The \fBMTIOCPERSISTENT\fR ioctl enables or disables persistent error handling.
+.El
+.Pp
+The
+.Dv MTIOCPERSISTENT
+ioctl enables or disables persistent error handling.
 It takes as an argument a pointer to an integer that turns it either on or off.
-If the ioctl succeeds, the desired operation was successful. It will wait for
+If the ioctl succeeds, the desired operation was successful.
+It will wait for
 all outstanding I/O's to complete before changing the persistent error handling
-status. For example,
-.sp
-.in +2
-.nf
+status.
+For example,
+.Bd -literal -offset 2n
 int on = 1;
 ioctl(fd, MTIOCPERSISTENT, &on);
 int off = 0;
 ioctl(fd, MTIOCPERSISTENT, &off);
-.fi
-.in -2
-
-.sp
-.LP
-The \fBMTIOCPERSISTENTSTATUS\fR ioctl enables or disables persistent error
-handling. It takes as an argument a pointer to an integer inserted by the
-driver. The integer can be either 1 if persistent error handling is 'on', or 0
-if persistent error handling is 'off'. It will not wait for outstanding I/O's.
+.Ed
+.Pp
+The
+.Dv MTIOCPERSISTENTSTATUS
+ioctl enables or disables persistent error
+handling.
+It takes as an argument a pointer to an integer inserted by the
+driver.
+The integer can be either 1 if persistent error handling is
+.Sq on ,
+or 0 if persistent error handling is
+.Sq off .
+It will not wait for outstanding I/O's.
 For example,
-.sp
-.in +2
-.nf
+.Bd -literal -offset 2n
 int query;
 ioctl(fd, MTIOCPERSISTENTSTATUS, &query);
-.fi
-.in -2
-
-.sp
-.LP
-The \fBMTIOCLRERR\fR ioctl clears persistent error handling and allows tape
-operations to continual normally. This ioctl requires no argument and will
-always succeed, even if persistent error handling has not been enabled. It will
-wait for any outstanding I/O's before it clears the error.
-.sp
-.LP
-The \fBMTIOCGUARANTEEDORDER\fR ioctl is used to determine whether the driver
-guarantees the order of I/O's. It takes no argument. If the ioctl succeeds, the
-driver will support guaranteed order. If the driver does not support guaranteed
-order, then it should not be used for asynchronous I/O with \fBlibaio\fR. It
-will wait for any outstanding I/O's before it returns. For example,
-.sp
-.in +2
-.nf
+.Ed
+.Pp
+The
+.Dv MTIOCLRERR
+ioctl clears persistent error handling and allows tape
+operations to continual normally.
+This ioctl requires no argument and will
+always succeed, even if persistent error handling has not been enabled.
+It will wait for any outstanding I/O's before it clears the error.
+.Pp
+The
+.Dv MTIOCGUARANTEEDORDER
+ioctl is used to determine whether the driver
+guarantees the order of I/O's.
+It takes no argument.
+If the ioctl succeeds, the driver will support guaranteed order.
+If the driver does not support guaranteed order, then it should not be used
+for asynchronous I/O with
+.Xr libaio 3lib .
+It will wait for any outstanding I/O's before it returns.
+For example,
+.Bd -literal -offset 2n
 ioctl(fd, MTIOCGUARANTEEDORDER)
-.fi
-.in -2
-
-.sp
-.LP
-See the \fBPersistent Error Handling\fR subsection above for more information
-on persistent error handling.
-.SS "Asynchronous and State Change IOCTLS"
-.ne 2
-.na
-\fB\fBMTIOCSTATE\fR\fR
-.ad
-.RS 14n
+.Ed
+.Pp
+See the
+.Sx Persistent Error Handling
+subsection above for more information on persistent error handling.
+.Ss "Asynchronous and State Change IOCTLS"
+.Bl -tag -width 1n
+.It Dv MTIOCSTATE
 This ioctl blocks until the state of the drive, inserted or ejected, is
-changed. The argument is a pointer to a \fBmtio_state\fR, \fBenum\fR, whose
-possible enumerations are listed below. The initial value should be either the
-last reported state of the drive, or \fBMTIO_NONE\fR. Upon return, the
-\fBenum\fR pointed to by the argument is updated with the current state of the
-drive.
-.RE
-
-.sp
-.in +2
-.nf
+changed.
+The argument is a pointer to a
+.Vt enum mtio_state ,
+whose possible enumerations are listed below.
+The initial value should be either the last reported state of the drive, or
+.Dv MTIO_NONE .
+Upon return, the
+enum pointed to by the argument is updated with the current state of the drive.
+.Bd -literal -offset 2n
 enum mtio_state {
-MTIO_NONE      /* Return tape's current state */
-MTIO_EJECTED   /* Tape state is "ejected" */
-MTIO_INSERTED  /* Tape state is "inserted" */
-;
-.fi
-.in -2
-
-.sp
-.LP
+    MTIO_NONE      /* Return tape's current state */
+    MTIO_EJECTED   /* Tape state is "ejected" */
+    MTIO_INSERTED  /* Tape state is "inserted" */
+};
+.Ed
+.El
+.Pp
 When using asynchronous operations, most ioctls will wait for all outstanding
 commands to complete before they are executed.
-.SS "IOCTLS for Multi-initiator Configurations"
-.ne 2
-.na
-\fBMTIOCRESERVE\fR
-.ad
-.RS 21n
+.Ss "IOCTLS for Multi-initiator Configurations"
+.Bl -tag -width MTIOCFORCERESERVE -compact
+.It Dv MTIOCRESERVE
 reserve the tape drive
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTIOCRELEASE\fR
-.ad
-.RS 21n
+.It Dv MTIOCRELEASE
 revert back to the default behavior of reserve on open/release on close
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTIOCFORCERESERVE\fR
-.ad
-.RS 21n
+.It Dv MTIOCFORCERESERVE
 reserve the tape unit by breaking reservation held by another host
-.RE
-
-.sp
-.LP
-The \fBMTIOCRESERVE\fR ioctl reserves the tape drive such that it does not
-release the tape drive at close. This changes the default behavior of releasing
-the device upon close. Reserving the tape drive that is already reserved has no
-effect. For example,
-.sp
-.LP
-\fBioctl(fd, MTIOCRESERVE);\fR
-.sp
-.LP
-The \fBMTIOCRELEASE\fR ioctl reverts back to the default behavior of reserve on
+.El
+.Pp
+The
+.Dv MTIOCRESERVE
+ioctl reserves the tape drive such that it does not
+release the tape drive at close.
+This changes the default behavior of releasing the device upon close.
+Reserving the tape drive that is already reserved has no effect.
+For example,
+.Bd -literal -offset 2n
+ioctl(fd, MTIOCRESERVE);
+.Ed
+.Pp
+The
+.Dv MTIOCRELEASE
+ioctl reverts back to the default behavior of reserve on
 open/release on close operation, and a release will occur during the next
-close. Releasing the tape drive that is already released has no effect. For
-example,
-.sp
-.LP
-\fBioctl(fd, MTIOCRELEASE);\fR
-.sp
-.LP
-The \fBMTIOCFORCERESERVE\fR ioctl breaks a reservation held by another host,
-interrupting any I/O in progress by that other host, and then reserves the tape
-unit. This ioctl can be executed only with super-user privileges. It is
-recommended to open the tape device in \fBO_NDELAY\fR mode when this ioctl
-needs to be executed, otherwise the open will fail if another host indeed has
-it reserved. For example,
-.sp
-.in +2
-.nf
+close.
+Releasing the tape drive that is already released has no effect.
+For example,
+.Bd -literal -offset 2n
+ioctl(fd, MTIOCRELEASE);
+.Ed
+.Pp
+The
+.Dv MTIOCFORCERESERVE
+ioctl breaks a reservation held by another host, interrupting any I/O in
+progress by that other host, and then reserves the tape unit.
+This ioctl can be executed only with super-user privileges.
+It is recommended to open the tape device in
+.Dv O_NDELAY
+mode when this ioctl needs to be executed, otherwise the open will fail if
+another host indeed has it reserved.
+For example,
+.Bd -literal -offset 2n
 ioctl(fd, MTIOCFORCERESERVE);
-.fi
-.in -2
-
-.SS "IOCTLS for Handling Tape Configuration Options"
-.ne 2
-.na
-\fBMTIOCSHORTFMK\fR
-.ad
-.RS 23n
-enables/disables support for writing short filemarks. This is specific to
-Exabyte drives.
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTIOCREADIGNOREILI\fR
-.ad
-.RS 23n
+.Ed
+.Ss "IOCTLS for Handling Tape Configuration Options"
+.Bl -tag -width MTIOCREADIGNOREEOFS
+.It Dv MTIOCSHORTFMK
+enables/disables support for writing short filemarks.
+This is specific to Exabyte drives.
+.It Dv MTIOCREADIGNOREILI
 enables/disables suppress incorrect length indicator (SILI) support during reads
-.RE
-
-.sp
-.ne 2
-.na
-\fBMTIOCREADIGNOREEOFS\fR
-.ad
-.RS 23n
+.It Dv MTIOCREADIGNOREEOFS
 enables/disables support for reading past two EOF marks which otherwise indicate
-End-Of-recording-Media (EOM) in the case of 1/2" reel tape drives
-.RE
-
-.sp
-.LP
-The \fBMTIOCSHORTFMK\fR ioctl enables or disables support for short filemarks.
+End-Of-recording-Media (EOM) in the case of 1/2\(dq reel tape drives
+.El
+.Pp
+The
+.Dv MTIOCSHORTFMK
+ioctl enables or disables support for short filemarks.
 This ioctl is only applicable to Exabyte drives which support short filemarks.
-As an argument, it takes a pointer to an integer.  If 0 (zero) is the
-specified integer, then long filemarks will be written. If 1 is the  specified
-integer, then short filemarks will be written. The specified tape behavior will
-be in effect until the device is closed.
-.sp
-.LP
+As an argument, it takes a pointer to an integer.
+If 0 (zero) is the specified integer, then long filemarks will be written.
+If 1 is the specified integer, then short filemarks will be written.
+The specified tape behavior will be in effect until the device is closed.
+.Pp
 For example:
-.sp
-.in +2
-.nf
+.Bd -literal -offset 2n
 int on = 1;
 int off = 0;
 /* enable short filemarks */
